{% extends 'templates.html' %}
{% load staticfiles %}
{% load static %}
{% block content %}

<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap-theme.min.css">
<link href='//fonts.googleapis.com/css?family=Lobster&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
    crossorigin="anonymous">



<div class="bgimg" style="z-index:-99"></div>
<div class="flexh1">
    <h1 style="font-size: 5vmax;">r e g i s t r a t i o n</h1>
</div>
<div class="flexbox">
    <form id="form" method="POST" class="post-form" id="login">
        {% csrf_token %}
        {{ form.as_p }}
        <p id="result" style="color:red;"></p>
        <button id="register" disabled="true" type="button" class="save btn btn-default">Submit</button>
    </form>
</div>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
    crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
    crossorigin="anonymous"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>

<script>

    $(document).ready(function(){

        $('.form-control').keyup(function(){
            var name = document.getElementById("id_name");
            var email = document.getElementById("id_email");
            var pass = document.getElementById("id_password");
            if(name.value.length != 0 && email.value.length != 0 && pass.value.length != 0){
                checkEmail(email.value);
            }
            else{
                $('#register').prop('disabled',true);
            }
        });
    });


    function checkEmail(value){
        $.ajax({
            type: "POST",
            data: {
                email: value,
                csrfmiddlewaretoken: document.getElementsByName('csrfmiddlewaretoken')[0].value
            },
            dataType: "json",
            url: 'checkEmail',
            success: function(result) {
                if (!result['invalid']) {
                    document.getElementById("result").innerHTML = ""
                    $("button").prop("disabled", false);
                }
                else{
                    document.getElementById("result").innerHTML = "Email already exists, please choose another email!"
                    $("#results").css("color", "red");
                    $('#register').prop('disabled',true);
                }
            }
        });

    };

    $('#register').click(function(event){
        event.preventDefault();
        var name = document.getElementById("id_name").value
        var email = document.getElementById("id_email").value
        var password = document.getElementById("id_password").value
         $.ajax({
            type: "POST",
            data: {
                name : name,
                email : email,
                password : password,
                csrfmiddlewaretoken: document.getElementsByName('csrfmiddlewaretoken')[0].value,
            },
            dataType: "json",
            url: '/subscribe',
            success: function(result) {
                alert("Congratulations, you have successfully subscribed to the website!")
                $('input[type="text"]').val('');
                $('input[type="email"]').val('');
                $('input[type="password"]').val('');
            }
        });
    });

</script>
{% endblock %}